<template>
  <div class="pt-4 bg-white md:bg-transparent">
    <div class="container hidden md:block">
      <ul
        class="flex items-center space-x-2 mb-6 font-medium text-base text-gray-medium leading-160"
      >
        <li class="text-primary"><a href="/">Trang chủ</a></li>
        <svg-icon
          name="icon-chevron-right"
          class="h-4 w-4 text-gray-light"
        ></svg-icon>
        <li>Trang cá nhân</li>
      </ul>
    </div>
    <div class="container md:mb-24">
      <div class="md:flex md:-mx-10px pb-12 md:pb-1">
        <div class="md:w-4/12 md:px-10px">
          <div
            class="bg-white space-y-4 md:p-4 border-solid md:border border-gray-light"
          >
            <div
              class="flex space-x-3 pb-4 border-solid border-b border-gray-light"
            >
              <Avatar :type="'big'" />
              <div>
                <div
                  class="text-2xl font-medium leading-140 text-dark-gray mb-1"
                >
                  Nguyễn Minh Đức
                </div>
                <div class="flex items-center space-x-2 leading-6">
                  <a
                    href="javascript:;"
                    class="md:bg-gray-light w-6 h-6 text-center"
                  >
                    <svg-icon
                      name="icon-google"
                      class="inline-block align-middle h-4 w-4"
                    ></svg-icon>
                  </a>
                  <a href="#" class="text-dark-blue font-normal text-base">
                    nmd_hn92@gmail.com
                  </a>
                </div>
              </div>
            </div>
            <div class="pb-4 border-solid border-b border-gray-light">
              <p class="text-sm font-medium leading-none text-gray-medium mb-2">
                Ngày tham gia
              </p>
              <p class=" leading-160 text-pearl">
                <b class="font-medium">27/01/2017</b>
                (3 năm 4 tháng)
              </p>
            </div>
            <div class="pb-4 border-solid border-b border-gray-light">
              <div
                class="text-sm font-medium leading-none text-gray-medium mb-4"
              >
                FAN CỨNG
              </div>
              <div
                class="text-dark leading-160 text-base font-medium space-y-4"
              >
                <div class="flex items-center space-x-4">
                  <div class="w-8 h-8">
                    <img src="/category/category-thumb.png" />
                  </div>
                  <span>Laptop / Gaming</span>
                </div>
                <div class="flex items-center space-x-4">
                  <div class="w-8 h-8">
                    <img src="/category/category-thumb.png" />
                  </div>
                  <span>Gears / Bàn phím cơ</span>
                </div>
              </div>
            </div>
            <div>
              <a
                href="#"
                class="hidden leading-none text-blue font-medium text-sm md:flex items-center space-x-2"
              >
                <svg-icon
                  name="icon-logout"
                  class="h-4 w-4 text-gray"
                ></svg-icon>
                <span>Đăng xuất</span>
              </a>
            </div>
          </div>
        </div>
        <div class="md:w-8/12 md:px-10px">
          <div
            class="bg-white space-y-4 md:p-5 border-solid md:border border-gray-light"
          >
            <!-- Tabs title -->
            <div class="flex text-gray-medium leading-160 space-x-8">
              <div
                class="font-medium text-lg cursor-pointer"
                :class="{
                  'text-gray-dark': activeComment == false
                }"
                @click="activeComment = false"
              >
                Bài đã xem
              </div>
              <!-- <div
                :class="{
                  'text-gray-dark border-b border-solid border-gray-dark': activeComment
                }"
                class="font-medium text-lg pb-2 cursor-pointer -mb-px"
                @click="activeComment = true"
              >
                Bình luận
              </div> -->
            </div>
            <!-- Tabs content -->
            <div>
              <div v-show="activeComment">
                <CommentList />
              </div>
              <div v-show="activeComment == false">
                <ListArticleViewed />
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout({ isMobile }) {
    return isMobile ? 'mobile' : 'default'
  },
  components: {
    Avatar: () => import('~/components/common/Avatar'),
    CommentList: () => import('~/components/page-account/CommentList'),
    ListArticleViewed: () =>
      import('~/components/page-account/ListArticleViewed')
  },
  async fetch() {
    await this.$store.dispatch('getMainMenu')
  },
  data() {
    return {
      activeComment: false
    }
  },
  head() {
    return {
      title: 'My Account'
    }
  }
}
</script>
